/**
 * IgnoreDuplicates.java
 *
 *	Solution to Lab8 Ex.3
 */
import javax.swing.JOptionPane;

public class IgnoreDuplicates {

  public static void main( String args[] )
  {
    // use an array to hold the input values
    int numbers[] = new int[5];

    int index = 0; // current empty location

    // get input
    for( int i=0 ; i < numbers.length ; ++i )
    {
      String s = JOptionPane.showInputDialog( "number " + (i+1) + ":" );
      int n = Integer.parseInt( s );

      // check previous numbers
      boolean duplicateFound = false;
      for( int j=0 ; j < index ; ++j )
        if( numbers[j] == n ) // duplicate
        {
          duplicateFound = true;
          break;
        }

      if( ! duplicateFound )
      { 
        // n is not a duplicate, so store it in the empty spot
        numbers[index] = n;
        // next empty spot is index+1
        ++index; 
      }
    }

    // print out the array up to the empty location
    for( int i=0 ; i < index ; ++i )
      System.out.print( numbers[i] + " " );
    System.out.println();

    System.exit(0);
  }

} // end of class IgnoreDuplicates

